Magick::Warning Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::Warning:
[legend]
Collaboration diagram for Magick::Warning:
[legend]

## Public Member Functions

| Warning (const std::string &what_)
| Warning (const std::string &what_, Exception *nested_)
| ~Warning () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 238 of file Exception.h.

## Constructor & Destructor Documentation

## Warning() [1/2]

Magick::Warning::Warning | ( | const std::string & | what_ | ) |

explicit

Definition at line 377 of file Exception.cpp.

## Warning() [2/2]

Magick::Warning::Warning | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

explicit

Definition at line 382 of file Exception.cpp.

## ~Warning()

Magick::Warning::~Warning | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 387 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp